Kirjoittaja Aihe: YLE-Areena ja Flash Player [ratkaistu]  (Luettu 13983 kertaa)

oh2ir

  • Käyttäjä
  • Viestejä: 447
    • Profiili
YLE-Areena ja Flash Player [ratkaistu]
« : 29.08.12 - klo:23.24 »
Tervehdystä

Mistähän mahtaa johtua sellainen ilmiö että YLE-areena ilmoittaa seuraavaa:

>Tarvitset uudemman version mediasoittimesta. Areenan ohjelmat toimivat Flash playerin versiolla 10.1. tai >uudemmalla.
>Lataa uusi Flash player Adoben sivuilta »       Lisätietoa ja ohjeet »

Areenan ohjelmat toimivat moitteettomasti myös kokoruudun tilassa 23" :n näytössä, en ole vielä keksinyt
että miten tuon ilmoituksen saisi pois.

Käyttiksenä on LinuxMint13 (maya) 32-bit ja samalla tavalla Ubuntu 12.04 (Unity)

« Viimeksi muokattu: 31.08.12 - klo:11.42 kirjoittanut oh2bne »
73's de Kari OH2BNE

SuperOscar

  • Käyttäjä
  • Viestejä: 3595
  • Tänään täällä, huomenna poissa
    • Profiili
    • Legisign.org
Vs: YLE-Areena ja Flash Player
« Vastaus #1 : 29.08.12 - klo:23.45 »
Mistähän mahtaa johtua sellainen ilmiö että YLE-areena ilmoittaa seuraavaa:

Eiköhän siitä, että Linuxiin ei enää ole olemassakaan niin uutta Flashin versiota, kuin Areena katsoo tarvitsevansa. Sinne on vain lytätty jokin versiontarkistustesti kokeilematta, toimisiko Areena kuitenkin vanhemmallakin Flashillä.
openSUSE Leap 15.2 (pöytäkone 1, kannettavat 1, 2 & 3), openSUSE Tumbleweed (pöytäkone 2), LibreELEC 8.2.5 (RPi 1), Raspbian GNU/Linux 10 (RPi 2)

matsukan

  • Käyttäjä
  • Viestejä: 2033
    • Profiili
Vs: YLE-Areena ja Flash Player
« Vastaus #2 : 30.08.12 - klo:08.24 »

Sinulla ei ole Flash asennettu käyttikseesi? Koska tuo areena vaatimus pitäisi täyttyä olemassa olevalla Ubuntu flashillä.  (12.x)
Pohjois-pohjanmaa
-- motto:  backupin tarve huomataan aina liian myöhään

jake

  • Käyttäjä
  • Viestejä: 1262
    • Profiili
Vs: YLE-Areena ja Flash Player
« Vastaus #3 : 30.08.12 - klo:08.58 »
Mistähän mahtaa johtua sellainen ilmiö että YLE-areena ilmoittaa seuraavaa:

Eiköhän siitä, että Linuxiin ei enää ole olemassakaan niin uutta Flashin versiota, kuin Areena katsoo tarvitsevansa. Sinne on vain lytätty jokin versiontarkistustesti kokeilematta, toimisiko Areena kuitenkin vanhemmallakin Flashillä.


TAAS väität täälläkin jotain, mistä et näy olevan perillä. Kyllä Ylen Areena ja myös Yle/klassinen toimivat ihan hyvin viimeisimmällä linuxille tehdyllä Flash-versiolla. Minäkin käytän sen palveluita joka päivä ...tai paremminkin ilta linuxillani.
Kaikille avoin standardi antaa mahdollisuuden valita itselle sopivin ohjelmisto käyttöön.
Millään taholla ei ole oikeutta pakottaa muita käyttämään jotain tiettyä sovellusta tietojen vaihdossa.
"Valitsin siis avointa standardia noudattavat sovellukset, esim: OpenOffice, Firefox ja tiett

oh1xe

  • Käyttäjä
  • Viestejä: 347
    • Profiili
    • OH1XE
Vs: YLE-Areena ja Flash Player
« Vastaus #4 : 30.08.12 - klo:10.16 »
"Tarvitset uudemman version mediasoittimesta. Areenan ohjelmat toimivat Flash playerin versiolla 10.1. tai uudemmalla."

Sama herja myös, videot kyllä toimii ja tässä 2-koneessa Mint 12 ja Flash versio 11

- saako päätteellä jotenkin päivitettyä uusimman flash version, noin jatkoa ajatellen?
« Viimeksi muokattu: 30.08.12 - klo:10.19 kirjoittanut oh1xe »

Eesaurus

  • Käyttäjä
  • Viestejä: 3086
    • Profiili
Vs: YLE-Areena ja Flash Player
« Vastaus #5 : 30.08.12 - klo:10.30 »
Juu, näkyy tulevan minullakin tuo sama nootti, mutta videot näkyvät silti.

LISÄYS: Enkä ole henk.koht. ollut huolissani Areenan (tai MTV3 Katsomon) näkymisestä sen jälkeen, kun aloin käyttää mainiota Yle-Dl:ää menuineen.
« Viimeksi muokattu: 30.08.12 - klo:10.57 kirjoittanut Eesaurus »

SuperOscar

  • Käyttäjä
  • Viestejä: 3595
  • Tänään täällä, huomenna poissa
    • Profiili
    • Legisign.org
Vs: YLE-Areena ja Flash Player
« Vastaus #6 : 30.08.12 - klo:11.29 »
TAAS väität täälläkin jotain, mistä et näy olevan perillä. Kyllä Ylen Areena ja myös Yle/klassinen toimivat ihan hyvin viimeisimmällä linuxille tehdyllä Flash-versiolla. Minäkin käytän sen palveluita joka päivä ...tai paremminkin ilta linuxillani.

Voi haloo. Niin ne toimivat minullakin, mutta silti sivulle ilmestyy tuo samainen huomautus.
openSUSE Leap 15.2 (pöytäkone 1, kannettavat 1, 2 & 3), openSUSE Tumbleweed (pöytäkone 2), LibreELEC 8.2.5 (RPi 1), Raspbian GNU/Linux 10 (RPi 2)

oh2ir

  • Käyttäjä
  • Viestejä: 447
    • Profiili
Vs: YLE-Areena ja Flash Player
« Vastaus #7 : 30.08.12 - klo:11.42 »
Tervehdystä

Toisin sanoen siitä ei toistaiseksi kannata välittää jos Areena toimii. Toisaalta en
ole saanut katsomoa toimimaan mutta se ei haittaa kun MTV3:lta ei tule mitään järkevää katsottavaa  ;)

Wanha Lifebook S7110 toimii Linuxilla hienosti, ei valittamista.
73's de Kari OH2BNE

SuperOscar

  • Käyttäjä
  • Viestejä: 3595
  • Tänään täällä, huomenna poissa
    • Profiili
    • Legisign.org
Vs: YLE-Areena ja Flash Player
« Vastaus #8 : 30.08.12 - klo:13.08 »
Toisaalta en ole saanut katsomoa toimimaan mutta se ei haittaa kun MTV3:lta ei tule mitään järkevää katsottavaa  ;)

Maikkarin käyttämä Silverlight on vielä isompi ongelma kuin Flash, koska sitä vastaavan Linux-version (Moonlight) kehittäminen lopetettiin jo aikaisemmin. Toisaalta Silverlightiakaan ei enää kehitetä, joten ehkä voi toivoa Maikkarin tulevaisuudessa vaihtavan johonkin muuhun systeemiin (HTML5?).
openSUSE Leap 15.2 (pöytäkone 1, kannettavat 1, 2 & 3), openSUSE Tumbleweed (pöytäkone 2), LibreELEC 8.2.5 (RPi 1), Raspbian GNU/Linux 10 (RPi 2)

Tomin

  • Palvelimen ylläpitäjä
  • Käyttäjä / moderaattori+
  • Viestejä: 11051
    • Profiili
    • Tomin kotisivut
Vs: YLE-Areena ja Flash Player
« Vastaus #9 : 30.08.12 - klo:17.01 »
Toisaalta Silverlightiakaan ei enää kehitetä, joten ehkä voi toivoa Maikkarin tulevaisuudessa vaihtavan johonkin muuhun systeemiin (HTML5?).
Ainakin mobiilikatsomo näyttäisi käyttävän HTML5:ttä h.264 pakatuilla videoilla. Pääsin sivulle iPadiksi spooffatulla Firefoxilla ja Chromiumilla, mutta kummallakaan en saanut videota toistettua; Firefoxissa ei ollut tukea h.264:lle ja Chromium ei syystä tai toisesta ruvennut toistamaan. Käyttöliittymä oli kyllä rikkinäisen näköinen eli tiedä nyt sitten miltä tuon olisi pitänyt näyttää.

Mitenhän Ylelle pitäisi valittaa tuosta Flashin käytöstä, että siirtyisivät pois sen käytöstä, kun ei sitä oikein kunnolla Linuxilla tueta. Varsinkin ARM-laitteet (kuten Raspberry Pi tai PandaBoard ja monet muut) ovat ulkopuolella. Tietenkin yle-dl toimii, mutta Yle ei sitä kuitenkaan hyväksy (ainakaan virallisesti). Itselleni yle-dl on ollut se ainoa tapa käyttää Arenaa, koska nettiyhteyteni on hidas (jaettu 1 megan kaista) ja koska en käytä Adoben Flashiä useimmilla koneillani sen vioista johtuen.
Automaattinen allekirjoitus:
Lisäisitkö [RATKAISTU] ketjun ensimmäisen viestin aiheeseen ongelman ratkettua, kiitos.

jake

  • Käyttäjä
  • Viestejä: 1262
    • Profiili
Vs: YLE-Areena ja Flash Player
« Vastaus #10 : 30.08.12 - klo:20.11 »
TAAS väität täälläkin jotain, mistä et näy olevan perillä. Kyllä Ylen Areena ja myös Yle/klassinen toimivat ihan hyvin viimeisimmällä linuxille tehdyllä Flash-versiolla. Minäkin käytän sen palveluita joka päivä ...tai paremminkin ilta linuxillani.

Voi haloo. Niin ne toimivat minullakin, mutta silti sivulle ilmestyy tuo samainen huomautus.

no ei todellakaan ilmesty! ainakaan mun linux-koneessani
Kaikille avoin standardi antaa mahdollisuuden valita itselle sopivin ohjelmisto käyttöön.
Millään taholla ei ole oikeutta pakottaa muita käyttämään jotain tiettyä sovellusta tietojen vaihdossa.
"Valitsin siis avointa standardia noudattavat sovellukset, esim: OpenOffice, Firefox ja tiett

jake

  • Käyttäjä
  • Viestejä: 1262
    • Profiili
Vs: YLE-Areena ja Flash Player
« Vastaus #11 : 30.08.12 - klo:20.15 »
Toisaalta Silverlightiakaan ei enää kehitetä, joten ehkä voi toivoa Maikkarin tulevaisuudessa vaihtavan johonkin muuhun systeemiin (HTML5?).
Ainakin mobiilikatsomo näyttäisi käyttävän HTML5:ttä h.264 pakatuilla videoilla. Pääsin sivulle iPadiksi spooffatulla Firefoxilla ja Chromiumilla, mutta kummallakaan en saanut videota toistettua; Firefoxissa ei ollut tukea h.264:lle ja Chromium ei syystä tai toisesta ruvennut toistamaan. Käyttöliittymä oli kyllä rikkinäisen näköinen eli tiedä nyt sitten miltä tuon olisi pitänyt näyttää.

Mitenhän Ylelle pitäisi valittaa tuosta Flashin käytöstä, että siirtyisivät pois sen käytöstä, kun ei sitä oikein kunnolla Linuxilla tueta. Varsinkin ARM-laitteet (kuten Raspberry Pi tai PandaBoard ja monet muut) ovat ulkopuolella. Tietenkin yle-dl toimii, mutta Yle ei sitä kuitenkaan hyväksy (ainakaan virallisesti). Itselleni yle-dl on ollut se ainoa tapa käyttää Arenaa, koska nettiyhteyteni on hidas (jaettu 1 megan kaista) ja koska en käytä Adoben Flashiä useimmilla koneillani sen vioista johtuen.


ennen kuin kauhiasti vaaditte Flashin käytöstä luopumista, niin kantsis olla jokin selkeä ja toimiva systeemi tarjota tilalle - sellainen, jota kaikkikin linux-käyttäjät voisivat automaagisesti käyttää. Eli ei mitään yle-dl -viritystä
Kaikille avoin standardi antaa mahdollisuuden valita itselle sopivin ohjelmisto käyttöön.
Millään taholla ei ole oikeutta pakottaa muita käyttämään jotain tiettyä sovellusta tietojen vaihdossa.
"Valitsin siis avointa standardia noudattavat sovellukset, esim: OpenOffice, Firefox ja tiett

Karvameduusa

  • Käyttäjä
  • Viestejä: 1055
    • Profiili
Vs: YLE-Areena ja Flash Player
« Vastaus #12 : 30.08.12 - klo:22.51 »
no ei todellakaan ilmesty! ainakaan mun linux-koneessani

Veikkaan, että ne joille tulee tämä ilmoitus käyttävät varmaan Linux Mint jakelua. Jakelu nimittäin käyttää vanhempaa flash pluginia oletuksena (kaikissa versioissa).

http://packages.linuxmint.com/list.php?release=Maya
http://packages.linuxmint.com/list.php?release=Debian

SuperOscar

  • Käyttäjä
  • Viestejä: 3595
  • Tänään täällä, huomenna poissa
    • Profiili
    • Legisign.org
Vs: YLE-Areena ja Flash Player
« Vastaus #13 : 30.08.12 - klo:22.59 »
Veikkaan, että ne joille tulee tämä ilmoitus käyttävät varmaan Linux Mint jakelua. Jakelu nimittäin käyttää vanhempaa flash pluginia oletuksena (kaikissa versioissa).

Ilmeisesti näin tosiaan on.

Mutta se ei muutu miksikään, että virheviesti on täysin turha, koska Areena toimii kaikesta huolimatta. Joku Ylessä on vain pannut sen ”varmuuden vuoksi” paikalleen.
openSUSE Leap 15.2 (pöytäkone 1, kannettavat 1, 2 & 3), openSUSE Tumbleweed (pöytäkone 2), LibreELEC 8.2.5 (RPi 1), Raspbian GNU/Linux 10 (RPi 2)

Eesaurus

  • Käyttäjä
  • Viestejä: 3086
    • Profiili
Vs: YLE-Areena ja Flash Player
« Vastaus #14 : 30.08.12 - klo:23.07 »
Veikkaan, että ne joille tulee tämä ilmoitus käyttävät varmaan Linux Mint jakelua. Jakelu nimittäin käyttää vanhempaa flash pluginia oletuksena (kaikissa versioissa).

Samaa mietin itsekin... Mint on tässäkin koneessa ja noottia pukkaa.

oh2ir

  • Käyttäjä
  • Viestejä: 447
    • Profiili
Vs: YLE-Areena ja Flash Player [ratkaistu]
« Vastaus #15 : 30.08.12 - klo:23.25 »
Tere

Kokeilin juuri että Ubuntu 12.04:ssä samaa ilmiötä ei ole joten
omalta osaltani olen tyytyväinen saamiini vastauksiin mistä suuri
kiitos kaikille.
73's de Kari OH2BNE

jake

  • Käyttäjä
  • Viestejä: 1262
    • Profiili
Vs: YLE-Areena ja Flash Player
« Vastaus #16 : 31.08.12 - klo:10.18 »
No hyvä - PC-puolen Flash on vielä hengissä ja Ylen Areena ja Klassinenkin ovat muidenkin kuin vinkkarihemmojen nautittavissa - siis esim klassinen musiikki - sinfoniat ja oopperat ja toki jazz, jne... vaikkas urkumusiikki...

Mutt mites kännyissä? Siellä alkaa näyttää epävarmemmalta ellei peräti kehnolta.
En minäkään just oopperoita kännyillä katsottavakseni havittele, mutt edes uutiset olis joskus kiva nähdäkin.

Muttku Flash jäi jo uusimmasta Androidistakin pois eikä iPhonessa eikä iPad:ssa oo ollu enää aikoihin eikä N9:ssäkään, paitsi FF:n liitännäisenä jonkinmoinen kökkö-versio. Toki iPhonelle ja iPadille olöytyy ihan ikioma clientsovellus, juu, mutt ei esim N9:lle :( ja Androidin mahd. clientistä en ole tietoinen. Miten siinä? Toimiiko sekä Areenan että klassisen musiikin videot?
Kaikille avoin standardi antaa mahdollisuuden valita itselle sopivin ohjelmisto käyttöön.
Millään taholla ei ole oikeutta pakottaa muita käyttämään jotain tiettyä sovellusta tietojen vaihdossa.
"Valitsin siis avointa standardia noudattavat sovellukset, esim: OpenOffice, Firefox ja tiett

SuperOscar

  • Käyttäjä
  • Viestejä: 3595
  • Tänään täällä, huomenna poissa
    • Profiili
    • Legisign.org
Vs: YLE-Areena ja Flash Player
« Vastaus #17 : 31.08.12 - klo:13.18 »
ennen kuin kauhiasti vaaditte Flashin käytöstä luopumista, niin kantsis olla jokin selkeä ja toimiva systeemi tarjota tilalle - sellainen, jota kaikkikin linux-käyttäjät voisivat automaagisesti käyttää.

Olen periaatteessa samaa mieltä, koska jollen väärin muista, Areena siirtyi Flashiin aikanaan mm. Linux-yhteisön vaatimuksesta (aiempi tekniikka oli vielä Windows-keskeisempi). On iso ongelma, että kaikki WWW:ssä käytetyt videovirtaustekniikat joko puuttuvat Linuxista alkuaankin tai niiden kehitys loppuu yhtäkkisesti, mutta sille emme mahda mitään.

Pitäisiköhän EBUn ruveta kehittämään omaa avointa videokoodekkiaan julkisen palvelun kanaville?
openSUSE Leap 15.2 (pöytäkone 1, kannettavat 1, 2 & 3), openSUSE Tumbleweed (pöytäkone 2), LibreELEC 8.2.5 (RPi 1), Raspbian GNU/Linux 10 (RPi 2)

Matzi

  • Käyttäjä
  • Viestejä: 249
  • Linux Mint 14 Nadia
    • Profiili
Vs: YLE-Areena ja Flash Player
« Vastaus #18 : 31.08.12 - klo:22.36 »
Veikkaan, että ne joille tulee tämä ilmoitus käyttävät varmaan Linux Mint jakelua. Jakelu nimittäin käyttää vanhempaa flash pluginia oletuksena (kaikissa versioissa).
Olen samaa mieltä. Itselläni kaikki ongelmat (ainakin toistaiseksi) katosivat, kun asensin Linux Mintin 13 ja jyräsin ubuntu 12.04 kokonaan pois.  :D

t.matti

juyli

  • Vieras
Vs: YLE-Areena ja Flash Player
« Vastaus #19 : 31.08.12 - klo:23.27 »
Olen samaa mieltä. Itselläni kaikki ongelmat (ainakin toistaiseksi) katosivat, kun asensin Linux Mintin 13 ja jyräsin ubuntu 12.04 kokonaan pois.  :D
t.matti

??? Hienoa, että osasit ratkaista (henkilökohtaisen) ongelmasi, mutta kyllä Ubuntu selviää mainituista ongelmista ilman turhanpäiväisiä uudelleenasennuksia. Katsomo + VLC riittää ratkaisuksi.